> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# العناصر المحذوفة

<ResponseExample>
  ```json استجابة (200 موافق) theme={null}
  {
    "removed": [
      {
        "id": "5b5d22b5be523300016fd411",
        "type": "dividends",
        "updated": 0
      },
      {
        "id": "5c3dc573a8839f000125ef6b",
        "type": "dividends",
        "updated": 0
      },
      {
        "id": "5c3de0ffa8839f000125efd4",
        "type": "dividends",
        "updated": 0
      },
      {
        "id": "5c3e642da8839f000125f167",
        "type": "dividends",
        "updated": 0
      },
      {
        "id": "5c3d9249a8839f000125ef61",
        "type": "dividends",
        "updated": 0
      }
    ]
  }
  ```

  ```json استجابة (401 غير مصرح به) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "رمز الوصول للمصادقة غير صالح أو مفقود"
      }
    ]
  }
  ```

  ```json استجابة (404 غير موجود) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "لم يتم العثور على بيانات للمعلمات المحددة"
      }
    ]
  }
  ```

  ```json استجابة (500 خطأ خادم داخلي) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "حدث خطأ غير متوقع أثناء معالجة طلبك"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ar/openapi/calendar-api.spec.yml GET /api/v2.1/calendar-removed/
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar-removed/:
    get:
      tags:
        - removed
      summary: محذوف (v2)
      description: >-
        يُرجِع أحداث calendar التي تمت إزالتها أو إلغاؤها من أنواع الأحداث
        المحددة
      operationId: get-removed
      parameters:
        - description: >-
            إزاحة الصفحة. لأسباب متعلقة بتحسين الأداء واعتبارات تقنية، تقتصر
            إزاحات الصفحات على النطاق من 0 إلى 100000. يمكنك تقييد نتائج
            الاستعلام باستخدام معلمات أخرى مثل التاريخ. القيمة الافتراضية هي 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُعادة. الحد الأقصى 1000
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: type
          in: query
          name: type
          schema:
            type: string
            enum:
              - ratings
              - earnings
              - dividends
              - splits
              - ipos
              - offerings
              - economics
              - guidance
              - ma
              - conference calls
        - description: >-
            آخر طابع زمني Unix لتحديث السجلات (UTC). سيؤدي ذلك إلى فرض ترتيب فرز
            بحيث تكون القيم أكبر من أو تساوي الطابع الزمني المحدَّد
          in: query
          name: updated
          schema:
            type: integer
      responses:
        '200':
          description: محذوف
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.RemovedJSON'
            text/xml:
              schema:
                $ref: '#/components/schemas/calendarapi.RemovedJSON'
        '500':
          description: خطأ داخلي
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.RemovedJSON:
      properties:
        removed:
          items:
            $ref: '#/components/schemas/calendarapi.Removed'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Removed:
      properties:
        id:
          type: string
        type:
          type: string
        updated:
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````